Index: exampleparties/timedependentparty/pom.xml
===================================================================
--- exampleparties/timedependentparty/pom.xml	(revision 6)
+++ exampleparties/timedependentparty/pom.xml	(revision 8)
@@ -171,4 +171,16 @@
 				</executions>
 			</plugin>
+			
+			<plugin>
+				<groupId>org.apache.maven.plugins</groupId>
+				<artifactId>maven-jar-plugin</artifactId>
+				<configuration>
+					<archive>
+						<manifest>
+							<mainClass>geniusweb.exampleparties.timedependentparty.TimeDependentParty</mainClass>
+						</manifest>
+					</archive>
+				</configuration>
+			</plugin>
 
 			<plugin>
@@ -212,5 +224,32 @@
 			</plugin>
 
-
+			<plugin>
+				<groupId>org.apache.maven.plugins</groupId>
+				<artifactId>maven-assembly-plugin</artifactId>
+				<version>2.4.1</version>
+				<configuration>
+					<!-- get all project dependencies -->
+					<descriptorRefs>
+						<descriptorRef>jar-with-dependencies</descriptorRef>
+					</descriptorRefs>
+					<archive>
+						<manifest>
+							<addDefaultImplementationEntries>true</addDefaultImplementationEntries>
+							<addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
+							<mainClass>geniusweb.exampleparties.timedependentparty.TimeDependentParty</mainClass>
+						</manifest>
+					</archive>
+				</configuration>
+				<executions>
+					<execution>
+						<id>make-assembly</id>
+						<!-- bind to the packaging phase -->
+						<phase>package</phase>
+						<goals>
+							<goal>single</goal>
+						</goals>
+					</execution>
+				</executions>
+			</plugin>
 
 		</plugins>
Index: exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java
===================================================================
--- exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java	(revision 6)
+++ exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java	(revision 8)
@@ -39,5 +39,5 @@
  * on bidspaces > 10000 bids. In special cases it may even run out of memory,
  */
-public abstract class TimeDependentParty extends DefaultParty {
+public class TimeDependentParty extends DefaultParty {
 
 	private static final BigDecimal DEC0001 = new BigDecimal("0.0001");
@@ -49,4 +49,5 @@
 	private Bid lastReceivedBid = null;
 	private ExtendedUtilSpace extendedspace;
+	private double e = 1.2;
 
 	public TimeDependentParty() {
@@ -79,4 +80,15 @@
 				this.me = settings.getID();
 				this.progress = settings.getProgress();
+				Object newe = settings.getParemeters().get("e");
+				if (newe != null) {
+					if (newe instanceof Double) {
+						this.e = (Double) newe;
+					} else {
+						getReporter().log(Level.WARNING,
+								"parameter e should be Double but found "
+										+ newe);
+					}
+				}
+
 			} else if (info instanceof ActionDone) {
 				Action otheract = ((ActionDone) info).getAction();
@@ -113,5 +125,7 @@
 	 *         4. When e = 0, the agent plays hardball.
 	 */
-	public abstract double getE();
+	public double getE() {
+		return e;
+	}
 
 	/******************* private support funcs ************************/
@@ -177,3 +191,10 @@
 						.min(maxUtil).max(minUtil);
 	}
+
+	@Override
+	public String getDescription() {
+		return "Time-dependent conceder. Aims at utility u(t) = scale * t^(1/e) "
+				+ "where t is the time (0=start, 1=end), e is a parameter (default 1.1), and scale such that u(0)=minimum and "
+				+ "u(1) = maximum possible utility. ";
+	}
 }
Index: exampleparties/timedependentparty/src/test/java/geniusweb/exampleparties/timedependentparty/TimeDependentPartyTest.java
===================================================================
--- exampleparties/timedependentparty/src/test/java/geniusweb/exampleparties/timedependentparty/TimeDependentPartyTest.java	(revision 6)
+++ exampleparties/timedependentparty/src/test/java/geniusweb/exampleparties/timedependentparty/TimeDependentPartyTest.java	(revision 8)
@@ -44,4 +44,5 @@
 import geniusweb.profile.utilityspace.LinearAdditiveUtilitySpace;
 import geniusweb.progress.ProgressRounds;
+import geniusweb.references.Parameters;
 import geniusweb.references.ProfileRef;
 import geniusweb.references.ProtocolRef;
@@ -61,4 +62,5 @@
 	private ProtocolRef protocol = mock(ProtocolRef.class);
 	private ProgressRounds progress = mock(ProgressRounds.class);
+	private Parameters parameters = new Parameters();
 	private Settings settings;
 	private LinearAdditiveUtilitySpace profile;
@@ -80,5 +82,6 @@
 		};
 		settings = new Settings(new PartyId("party1"),
-				new ProfileRef(new URI("file:" + PROFILE)), protocol, progress);
+				new ProfileRef(new URI("file:" + PROFILE)), protocol, progress,
+				parameters);
 
 		String serialized = new String(Files.readAllBytes(Paths.get(PROFILE)),
